com.h3c.sdn.topology.model

## Class LogFacade

- java.lang.Object
- - com.h3c.sdn.topology.model.LogFacade

- Deprecated.
  use SdnLog.*.getLogger() instead.

      @Deprecated
      public class LogFacade
      extends Object

  Serves as facade for logging for TNS classes. No magic here - just wraps the chosen log framework for SDN. Using this to avoid making multiple changes in case we decide to go for other frameworks than SLF4J Right now SL4J is the preferred framework and hence this would just wrap it. This class also enables shorthand invocation of the underlying logger api's.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogFacade()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `d(String s)` Deprecated.
    `static void` | `d(String s, Object o)` Deprecated.
    `static void` | `d(String s, Object[] oa)` Deprecated.
    `static void` | `e(String s)` Deprecated.
    `static void` | `e(String s, Object o)` Deprecated.
    `static void` | `e(String s, Object[] oa)` Deprecated.
    `static void` | `e(String s, Throwable t)` Deprecated.
    `static void` | `i(String s)` Deprecated.
    `static void` | `i(String s, Object o)` Deprecated.
    `static void` | `i(String s, Object[] oa)` Deprecated.
    `static org.slf4j.Logger` | `instance()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogFacade

          public LogFacade()

      Deprecated.

  - ### Method Detail

    - #### instance

          public static org.slf4j.Logger instance()

      Deprecated.

    - #### i

          public static void i(String s)

      Deprecated.

    - #### i

          public static void i(String s,
               Object o)

      Deprecated.

    - #### i

          public static void i(String s,
               Object[] oa)

      Deprecated.

    - #### d

          public static void d(String s)

      Deprecated.

    - #### d

          public static void d(String s,
               Object o)

      Deprecated.

    - #### d

          public static void d(String s,
               Object[] oa)

      Deprecated.

    - #### e

          public static void e(String s)

      Deprecated.

    - #### e

          public static void e(String s,
               Object o)

      Deprecated.

    - #### e

          public static void e(String s,
               Object[] oa)

      Deprecated.

    - #### e

          public static void e(String s,
               Throwable t)

      Deprecated.

Copyright © 2014. All Rights Reserved.